Package owl.ltl.visitors

## Class PropositionalVisitor<T>

- java.lang.Object
- - owl.ltl.visitors.PropositionalVisitor<T>

- All Implemented Interfaces:
    `Function<Formula,​T>`, `Visitor<T>`
  Direct Known Subclasses:
    `BlockingModalOperatorsVisitor`

      public abstract class PropositionalVisitor<T>
      extends Object
      implements Visitor<T>

  Visitor skeleton implementation that views the formula as propositional formula. For this reason all methods for modal operators are final and need to be handled uniformly.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropositionalVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `visit​(FOperator fOperator)` |
    `protected abstract T` | `visit​(Formula.TemporalOperator formula)` |
    `T` | `visit​(FrequencyG freq)` |
    `T` | `visit​(GOperator gOperator)` |
    `T` | `visit​(Literal literal)` |
    `T` | `visit​(MOperator mOperator)` |
    `T` | `visit​(ROperator rOperator)` |
    `T` | `visit​(UOperator uOperator)` |
    `T` | `visit​(WOperator wOperator)` |
    `T` | `visit​(XOperator xOperator)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

    - ### Methods inherited from interface owl.ltl.visitors.Visitor

      `apply, visit, visit, visit, visit`

- - ### Constructor Detail

    - #### PropositionalVisitor

          public PropositionalVisitor()

  - ### Method Detail

    - #### visit

          protected abstract T visit​(Formula.TemporalOperator formula)

    - #### visit

          public final T visit​(FOperator fOperator)

      Specified by:
        `visit` in interface `Visitor<T>`

    - #### visit

          public final T visit​(FrequencyG freq)

      Specified by:
        `visit` in interface `Visitor<T>`

    - #### visit

          public final T visit​(GOperator gOperator)

      Specified by:
        `visit` in interface `Visitor<T>`

    - #### visit

          public final T visit​(Literal literal)

      Specified by:
        `visit` in interface `Visitor<T>`

    - #### visit

          public final T visit​(MOperator mOperator)

      Specified by:
        `visit` in interface `Visitor<T>`

    - #### visit

          public final T visit​(ROperator rOperator)

      Specified by:
        `visit` in interface `Visitor<T>`

    - #### visit

          public final T visit​(UOperator uOperator)

      Specified by:
        `visit` in interface `Visitor<T>`

    - #### visit

          public final T visit​(WOperator wOperator)

      Specified by:
        `visit` in interface `Visitor<T>`

    - #### visit

          public final T visit​(XOperator xOperator)

      Specified by:
        `visit` in interface `Visitor<T>`